import type { SnowflakeProps } from "@/js/plugins/snowflake";

export default function useSnowflake() {
  const colorVar = (arg: string): string => {
    const color = String(`rgb(${getComputedStyle(document.documentElement).getPropertyValue(arg)})`)
      ?.match(/[0-9|.]+/g)
      ?.map((x, i) => (i === 3 ? parseInt(String(255 * parseFloat(x))).toString(16) : parseInt(x).toString(16)))
      ?.join("");
    return `#${color}`;
  };

  return {
    colorVar,
    props: reactive<SnowflakeProps>(JSON.parse(atob(window.snowflake))),
  };
}
